Get Or Create Message
Retrieves the [Message](#schema_message) object for given discriminating tags. If the message does not exist, it will be created. If the message already exists, its tags and payload will be updated with the provided values if they are defined.
Header Parameters
Bot id
Integration id
Integration alias
Request Body
application/json
Message data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/chat/messages/get-or-create" \ -H "x-bot-id: string" \ -H "Content-Type: application/json" \ -d '{ "userId": "stringstringstringstringstri", "conversationId": "stringstringstringstringstri", "type": "string", "tags": { "property1": "string", "property2": "string" } }'{ "message": { "id": "stringstringstringstringstri", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "type": "string", "payload": {}, "direction": "incoming", "userId": "stringstringstringstringstri", "conversationId": "stringstringstringstringstri", "tags": { "property1": "string", "property2": "string" }, "origin": "synthetic" }, "meta": { "created": true }}{ "message": { "id": "stringstringstringstringstri", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "type": "string", "payload": {}, "direction": "incoming", "userId": "stringstringstringstringstri", "conversationId": "stringstringstringstringstri", "tags": { "property1": "string", "property2": "string" }, "origin": "synthetic" }, "meta": { "created": true }}Get Or Create Conversation POST
Retrieves the [Conversation](#schema_conversation) object containing given tags. If the conversation does not exist, it will be created. Tags will be updated if they are set in the request body.
Get Or Create User POST
Retrieves the [User](#schema_user) object for given discriminating tags. If the user does not exist, it will be created. If the user already exists, its name, pictureUrl, attributes, and tags will be updated with the provided values.